* Module ctype.h  V010AM01 === 091487
*
*    PROPRIETARY PROGRAM MATERIAL
* REPRODUCTION OR DISCLOSURE IS PROHIBITED WITHOUT WRITTEN AUTHORIZATION
* OF THE PATENT DIVISION OF UNISYS CORPORATION, DETROIT, MICHIGAN 48232, USA.
* COPYRIGHT (C) 1987 BORLAND INTERNATIONAL
* COPYRIGHT (C) 1987 UNISYS CORPORATION
*
ifndef	_CTYPE
define	_CTYPE
define	IS_SP	1			* is space *
define	IS_DIG	2			* is digit indicator *
define	IS_UPP	4			* is upper case *
define	IS_LOW	8			* is lower case *
define	IS_HEX	16			* [AF or [af] *
define	IS_CTL	32			* Control *

extern	char	_ctype[];		* Character type array *

define	isalpha(c)	(_ctype[(c) + 1]  (IS_UPP | IS_LOW))
define	isdigit(c)	(_ctype[(c) + 1]  IS_DIG)
define	isspace(c)	(_ctype[(c) + 1]  IS_SP)
define	isupper(c)	(_ctype[(c) + 1]  IS_UPP)
define	islower(c)	(_ctype[(c) + 1]  IS_LOW)
define	isxdigit(c)	(_ctype[(c) + 1]  (IS_DIG | IS_HEX))
define	isalnum(c)	(_ctype[(c) + 1]  (IS_DIG | IS_UPP | IS_LOW))
define	iscntrl(c)	(_ctype[(c) + 1]  IS_CTL)
define	ispunct(c)	((_ctype[(c)+1](IS_DIG|IS_UPP|IS_LOW|IS_CTL)))
define	isprint(c)	((c) >= 040  (c) <= 0176)
define	isgraph(c)	((c) > 040  (c) <= 0176)

define	_toupper(c)	((c) + 'A'  'a')
define	_tolower(c)	((c) + 'a'  'A')
define	toascii(c)	((c)  0177)
define	isascii(c)	((unsigned)((c) + 1) < 0201)

extern	int	tolower(int character);
extern	int	toupper(int character);
endif
